import { ElementRef, Renderer2 } from '@angular/core';
import { ValidatorFn } from '@angular/forms';
export declare const EMAIL_REGEX: RegExp;
export declare const PHONE_REGEX: RegExp;
export declare const PHONE_REGEX_V2: RegExp;
export declare function toBoolean(value: any): boolean;
export declare function InputBoolean(): any;
export declare function isInt(value: any): boolean;
export declare function isObject(value: any): boolean;
export declare function uniqueId(prefix?: string): string;
export interface IReplaceClass {
    renderer: Renderer2;
    element: ElementRef;
}
export declare function replaceClass(instance: IReplaceClass, oldClass: string | string[], newClass?: string | string[]): void;
export declare const noWhitespaceValidator: ValidatorFn;
